User

## Classes

struct | FIX::DateTime
| Date and Time stored as a Julian day number and number of milliseconds since midnight. More...
class | FIX::UtcTimeStamp
| Date and Time represented in UTC. More...
class | FIX::LocalTimeStamp
| Date and Time represented in local time. More...
class | FIX::UtcTimeOnly
| Time only represented in UTC. More...
class | FIX::LocalTimeOnly
| Time only represented in local time. More...
class | FIX::UtcDate
| Date only represented in UTC. More...
class | FIX::LocalDate
| Date only represented in local time. More...
class | FIX::ThreadedSocketInitiator
| Threaded Socket implementation of Initiator. More...

## Functions

bool | FIX::operator== (const DateTime &lhs, const DateTime &rhs)
bool | FIX::operator!= (const DateTime &lhs, const DateTime &rhs)
bool | FIX::operator< (const DateTime &lhs, const DateTime &rhs)
bool | FIX::operator> (const DateTime &lhs, const DateTime &rhs)
bool | FIX::operator<= (const DateTime &lhs, const DateTime &rhs)
bool | FIX::operator>= (const DateTime &lhs, const DateTime &rhs)
int | FIX::operator- (const DateTime &lhs, const DateTime &rhs)
| Calculate the difference between two DateTime values and return the result as a number of seconds. More...

## Detailed Description

## Function Documentation

## operator!=()

bool FIX::operator!= | ( | const DateTime & | lhs,
|  | const DateTime & | rhs
| ) |  |

inline

Definition at line 358 of file FieldTypes.h.

{
return !(lhs == rhs);
}

## operator-()

int FIX::operator- | ( | const DateTime & | lhs,
|  | const DateTime & | rhs
| ) |  |

inline

Calculate the difference between two DateTime values and return the result as a number of seconds.

Definition at line 391 of file FieldTypes.h.

References FIX::DateTime::SECONDS_PER_DAY.

{
return (DateTime::SECONDS_PER_DAY * (lhs.m_date - rhs.m_date) +
// Truncate the millis before subtracting
lhs.m_time / 1000 - rhs.m_time / 1000);
}

## operator<()

bool FIX::operator< | ( | const DateTime & | lhs,
|  | const DateTime & | rhs
| ) |  |

inline

Definition at line 363 of file FieldTypes.h.

{
if( lhs.m_date < rhs.m_date )
return true;
else if( lhs.m_date > rhs.m_date )
return false;
else if( lhs.m_time < rhs.m_time )
return true;
return false;
}

## operator<=()

bool FIX::operator<= | ( | const DateTime & | lhs,
|  | const DateTime & | rhs
| ) |  |

inline

Definition at line 379 of file FieldTypes.h.

{
return lhs == rhs || lhs < rhs;
}

## operator==()

bool FIX::operator== | ( | const DateTime & | lhs,
|  | const DateTime & | rhs
| ) |  |

inline

Definition at line 353 of file FieldTypes.h.

{
return lhs.m_date == rhs.m_date && lhs.m_time == rhs.m_time;
}

## operator>()

bool FIX::operator> | ( | const DateTime & | lhs,
|  | const DateTime & | rhs
| ) |  |

inline

Definition at line 374 of file FieldTypes.h.

{
return !(lhs == rhs || lhs < rhs);
}

## operator>=()

bool FIX::operator>= | ( | const DateTime & | lhs,
|  | const DateTime & | rhs
| ) |  |

inline

Definition at line 384 of file FieldTypes.h.

{
return lhs == rhs || lhs > rhs;
}